import { z } from 'zod';

export const FetchStockInStockWithStockIdSchema = z.object({
  stockId: z.number().describe('Stock identifier').optional(),
});

export const FetchStockInStockWithBranchIdSchema = z.object({
  branchId: z.number().describe('Branch identifier'),
});

export const FetchStockInStockSchema = z
  .object({
    itemIds: z.array(z.number()).describe('Item ids'),
  })
  .and(
    z.union([
      FetchStockInStockWithBranchIdSchema,
      FetchStockInStockWithStockIdSchema,
    ]),
  );

export type FetchStockInStock = z.infer<typeof FetchStockInStockSchema>;
